import webiopi
from webiopi.devices.analog.mcp3x0x import MCP3002

import sys,os
sys.path.append(os.path.dirname(os.path.abspath(__file__)))
from liquidcrystal import LiquidCrystal

lcd = LiquidCrystal( 6, 5, 22, 27, 17, 4 )

mcp = MCP3002()

while 1:
	lcd.clear()

	ch0 = mcp.analogRead(0)
	lcd.setCursor( 0, 0 )
	lcd.write( "Ch0 : " + str(ch0) )

	ch1 = mcp.analogRead(1)
	lcd.setCursor( 0, 1 )
	lcd.write( "Ch1 : " + str(ch1) )

	webiopi.sleep( 1.0 )
